<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Website Closed</title>
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Arial', sans-serif;
        }

        /* Full Page Styling */
        body {
            background: linear-gradient(135deg, #141E30, #243B55);
            color: white;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            text-align: center;
        }

        .container {
            max-width: 600px;
            padding: 20px;
            border-radius: 10px;
            background: rgba(0, 0, 0, 0.5);
            box-shadow: 0 0 15px rgba(255, 255, 255, 0.2);
            animation: fadeIn 1.5s ease-in-out;
        }

        h1 {
            font-size: 2rem;
            margin-bottom: 10px;
            color: #ff4d4d;
        }

        p {
            font-size: 1.2rem;
            margin-bottom: 20px;
        }

        .warning-icon {
            font-size: 50px;
            color: #ff4d4d;
            animation: pulse 1.5s infinite alternate;
        }

        .contact {
            color: #ffcc00;
            text-decoration: none;
            font-weight: bold;
            transition: 0.3s;
        }

        .contact:hover {
            color: #fff;
            text-decoration: underline;
        }

        /* Animations */
        @keyframes fadeIn {
            from { opacity: 0; transform: translateY(-10px); }
            to { opacity: 1; transform: translateY(0); }
        }

        @keyframes pulse {
            from { transform: scale(1); opacity: 0.8; }
            to { transform: scale(1.1); opacity: 1; }
        }

        /* Responsive Design */
        @media (max-width: 600px) {
            h1 { font-size: 1.8rem; }
            p { font-size: 1rem; }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="warning-icon">⚠️</div>
        <h1>Website Closed</h1>
        <p>Sorry, this website is currently unavailable due to incomplete development charges.</p>
        <p>Please contact <a href="mailto:webdeveloper7844@gmail.com" class="contact">support@example.com</a> for further information.</p>
    </div>
</body>
</html>
